Skip to content

Update Form Field

PATCH/form-fields/:id

Update an existing form field. Only the attributes you include are changed.

Attributes

AttributeTypeDescription
titlestringHuman-readable field label.
descriptionstringOptional help text for the field.
fieldenumtext, textarea, radio, checkbox, select, country, rating, section, company, title. The input type of the field.
orderstringDisplay order within the form.
settingsstring
formIdnumberForm this field belongs to.
sectionIdstringParent section field ID, if nested.
statusenumcreated, locked

Fields marked with * are required.

Request

js
import Confetti from 'confetti'

const confetti = new Confetti({ apiKey: 'your-key' })

const formField = await confetti.formFields.update(1, {
  title: 'example',
})
sh
curl -X PATCH "https://api.confetti.events/form-fields/1" \
  -H "Content-Type: application/json" \
  -H "Authorization: apikey your-key" \
  -d '{
  "data": {
    "type": "formField",
    "id": "1",
    "attributes": {
      "title": "example"
    }
  }
}'